roasOS
API referenceJobs

List jobs

List every job this workspace has run, of every kind, through one envelope.

GET
/v1/jobs

List every job this workspace has run, of every kind, through one envelope.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Query Parameters

kind?string

Filter by job kind.

Value in

  • "image"
  • "scene"
  • "avatar"
  • "video"
  • "ugc"
  • "audio"
  • "voice"
  • "lipsync"
  • "batch"
  • "research"
status?string

Filter by job status.

Value in

  • "queued"
  • "processing"
  • "completed"
  • "failed"
  • "canceled"
cursor?string

Opaque composite pagination cursor from the previous response. Do not parse or construct it.

limit?integer

Number of items to return

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/jobs"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "image",      "model": "string",      "status": "queued",      "credits_reserved": 0,      "created_at": "string",      "completed_at": "string",      "error": {        "code": "string",        "message": "string"      },      "result": null,      "webhook": {        "status": "delivered",        "attempts": 0,        "last_status": "string",        "delivered_at": "string",        "failed_at": "string"      },      "inputs": {        "endpoint": "string",        "request": {          "property1": null,          "property2": null        }      },      "links": {        "self": "string",        "status": "string",        "result": "string",        "events": "string"      }    }  ],  "meta": {    "has_more": true,    "next_cursor": "string"  }}